# GitOdbBackend

> class GitOdbBackend : public ObjectWrap

Wrapper for libgit2 git_error.

Summary

GitOdbBackend | Wrapper for libgit2 git_error.
Variables |
constructor_template | Used to create Node.js constructor.
Functions |
Initialize | Used to intialize the EventEmitter from Node.js
GitOdbBackend |
New | args v8::Arguments function call

### Variables

### constructor_template

> static v8::Persistent<v8::FunctionTemplate> constructor_template

Used to create Node.js constructor.

### Functions

### Initialize

> static void Initialize( | v8:: | Handle<v8::Object> | target | )

Used to intialize the EventEmitter from Node.js

#### Parameters

target | v8::Object the Node.js global module object

### GitOdbBackend

> GitOdbBackend()

### New

> static v8::Handle<v8::Value> New( | const v8:: | Arguments | & | args | )

#### Parameters

args v8::Arguments function call

#### Returns

v8::Object args.This()

> class GitOdbBackend : public ObjectWrap

Wrapper for libgit2 git_error.

> static v8::Persistent<v8::FunctionTemplate> constructor_template

Used to create Node.js constructor.

> static void Initialize( | v8:: | Handle<v8::Object> | target | )

Used to intialize the EventEmitter from Node.js

> GitOdbBackend()

> static v8::Handle<v8::Value> New( | const v8:: | Arguments | & | args | )

args v8::Arguments function call
Close